Class lslide
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lslide

public class lslide
extends ej
smooth a list.
See Also:

  ej, `slide, slide~, jit.slide` objects

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lslide(float slideUp, float slideDown) Create a lslide object with arguments.

Method Summary
void | bang() Re-Trigger the smoothing.
void | inlet(float f) Do something depending on the inlet...
void | inlet(int i) Do something depending on the inlet...
void | list(float[] args) The list to be smoothed.
void | notifyDeleted() used internal to free the clock.
void | reset() Reset the object if the filter explode (it shouldn't be necessary anymore though)
void | set(float[] args) Set the list to be smoothed (so you can interpolate from that)

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
lslide
public lslide(float slideUp,
float slideDown)

  Create a lslide object with arguments.
  Parameters:
    slideUp - slide up value
    slideDown - slide down value

Method Detail
notifyDeleted
public void notifyDeleted()

  used internal to free the clock.
  Overrides:
    notifyDeleted in class com.cycling74.max.MaxObject

bang
public void bang()

  Re-Trigger the smoothing.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Do something depending on the inlet...
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Do something depending on the inlet...
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the left inlet: try using the `slide` object instead. if the value arrives in the second inlet: change the slide up value if the value arrives in the third inlet: change the slide down value

list
public void list(float[] args)

  The list to be smoothed.
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - if the list arrives in the left inlet: the list will be smoothed. if the list arrives in the second inlet: the first item of the list defines the slide up value, the second defines the slide down.

set
public void set(float[] args)

  Set the list to be smoothed (so you can interpolate from that)
  Parameters:
    args - the list

reset
public void reset()

  Reset the object if the filter explode (it shouldn't be necessary anymore though)

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com